/* Copyright (C) 2007  Mikko Sysikaski <mikko.sysikaski@gmail.com>
 * This program is free software distributed under GNU General Public License
 * version 3 or (at your option) any later version.
 * No warranty of any kind is provided. See the accompanying file COPYING for details.
 */

#ifndef PACKPICKER_H
#define PACKPICKER_H

#include "itempicker.h"
#include "packhandler.h"
#include <vector>

class PackPicker: public ItemPicker<PackPicker> {
public:
	template<class Iter>
	PackPicker(Iter begin, Iter end):
		ItemPicker<PackPicker>(begin, end)
		{}

	void setString(int num, std::string& str) {
		(void)num;
		(void)str;
	//	str.erase(str.end()-3, str.end());
	//	printf("returning: %s\n", str.c_str());
	}
	std::string getTitle() {
		return std::string("choose pack:");
	}
	bool pick(int num) {
		PackHandler pack(items[num]);
		pack.exec();
		return 1;
	}

private:
};

#endif
